Skip to content

Test Email Connection

POST
/api/creative/email/accounts/test-connection

Test IMAP and SMTP connection.

TestConnectionRequest

Request body for testing IMAP/SMTP connection.

object
imapHost
required
Imaphost
string
imapPort
required
Imapport
integer
smtpHost
required
Smtphost
string
smtpPort
required
Smtpport
integer
username
required
Username
string
password
required
Password
string
useSsl
required
Usessl
boolean

Successful Response

TestConnectionResponse

Response wrapper for connection testing.

object
success
required
Success

Operation success

boolean
imapOk
Imapok
boolean
smtpOk
Smtpok
boolean
error
Any of:
string
imapError
Any of:
string
smtpError
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object